function c = runge_lstsq(m,n)
%PRE:  m, n: positive integers, n+1 <= m
%POST: c: (n+1) x 1 real array
%DESC: Computes coefficients of a polynomial approximation 
%to the Runge-Function. The polynomial has the form
%   c(1)+c(2)*x+c(3)*x^2+...+c(n+1)*x^n

% THIS IS A TEMPLATE

if (n+1)>m
    error('Error: it must hold m>=n+1');
end

a = -5;
b = 5;
x = linspace(a, b, m)';

f = @(x)(1./(1. + x.^2));
b = f(x);
A = zeros(m,n+1);

for i=1:n+1
    A(:,i) = %INITIALIZE A
end

% Compute the QR-decomposition of A
% GET HERE THE Q MATRIX FROM THE QR DECOMPOSITION OF A

% Find the best approximation
d = Q'*b;
R0 = R(1:n+1,1:n+1);
d0 = d(1:n+1,1);
c = % GET THE COEFFICIENTS FROM R0 and d0

end

